> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/omnitron-openapis/price-lists.md).

# Price Lists

## Retrieve a price list

> Retrieve the details of a specific price list by ID.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"PriceList":{"type":"object","properties":{"pk":{"type":"integer","format":"int64","description":"Price List ID"},"name":{"type":"string","maxLength":64,"description":"Name of the price list."},"code":{"type":"string","nullable":true,"maxLength":64,"description":"Unique code for the price list. Can be null or blank."},"currency":{"$ref":"#/components/schemas/CurrencyEnum"},"is_auto_sync":{"type":"boolean","description":"Indicates whether the price list is auto-synchronized with an external integration.","default":false},"created_date":{"type":"string","format":"date-time","description":"Creation Date of the Price List"},"modified_date":{"type":"string","format":"date-time","description":"Last Modification Date of the Price List"}}},"CurrencyEnum":{"type":"string","description":"Currency type for the price list.","enum":["tr","eu","usd","egp","gbp","mad","pln","sar","ron","uah","czk","huf","rub","bgn","iqd","kwd","bhd","omr","qar","aed","ngn","inr","lei","kzt","jod","rsd"]}},"responses":{"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}}}},"paths":{"/api/v1/price_list/{id}/":{"get":{"summary":"Retrieve a price list","description":"Retrieve the details of a specific price list by ID.","tags":["Price Lists"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Price list retrieved successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceList"}}}},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"}}}}}}
```

## Update a price list

> Update the details of a specific price list by ID.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"PriceList":{"type":"object","properties":{"pk":{"type":"integer","format":"int64","description":"Price List ID"},"name":{"type":"string","maxLength":64,"description":"Name of the price list."},"code":{"type":"string","nullable":true,"maxLength":64,"description":"Unique code for the price list. Can be null or blank."},"currency":{"$ref":"#/components/schemas/CurrencyEnum"},"is_auto_sync":{"type":"boolean","description":"Indicates whether the price list is auto-synchronized with an external integration.","default":false},"created_date":{"type":"string","format":"date-time","description":"Creation Date of the Price List"},"modified_date":{"type":"string","format":"date-time","description":"Last Modification Date of the Price List"}}},"CurrencyEnum":{"type":"string","description":"Currency type for the price list.","enum":["tr","eu","usd","egp","gbp","mad","pln","sar","ron","uah","czk","huf","rub","bgn","iqd","kwd","bhd","omr","qar","aed","ngn","inr","lei","kzt","jod","rsd"]}},"responses":{"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}}}},"paths":{"/api/v1/price_list/{id}/":{"put":{"summary":"Update a price list","description":"Update the details of a specific price list by ID.","tags":["Price Lists"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceList"}}}},"responses":{"200":{"description":"Price list updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceList"}}}},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"}}}}}}
```

## Delete a price list

> Delete a specific price list by ID.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"responses":{"204":{"description":"No content"},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}}}},"paths":{"/api/v1/price_list/{id}/":{"delete":{"summary":"Delete a price list","description":"Delete a specific price list by ID.","tags":["Price Lists"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"responses":{"204":{"$ref":"#/components/responses/204"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"}}}}}}
```

## List price lists

> Retrieve a list of price lists with optional filtering.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"name":{"name":"name","in":"query","description":"Filter by name.","schema":{"type":"string"}},"code":{"name":"code","in":"query","description":"Filter by code.","required":false,"schema":{"type":"string"}},"code__exact":{"name":"code__exact","in":"query","required":false,"description":"Filters by exact code","schema":{"type":"string"}},"is_auto_sync":{"name":"is_auto_sync","in":"query","required":false,"description":"Filter by auto-sync status.","schema":{"type":"boolean"}},"created_date":{"name":"created_date","in":"query","required":false,"description":"Filter by creation date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}}},"schemas":{"PriceList":{"type":"object","properties":{"pk":{"type":"integer","format":"int64","description":"Price List ID"},"name":{"type":"string","maxLength":64,"description":"Name of the price list."},"code":{"type":"string","nullable":true,"maxLength":64,"description":"Unique code for the price list. Can be null or blank."},"currency":{"$ref":"#/components/schemas/CurrencyEnum"},"is_auto_sync":{"type":"boolean","description":"Indicates whether the price list is auto-synchronized with an external integration.","default":false},"created_date":{"type":"string","format":"date-time","description":"Creation Date of the Price List"},"modified_date":{"type":"string","format":"date-time","description":"Last Modification Date of the Price List"}}},"CurrencyEnum":{"type":"string","description":"Currency type for the price list.","enum":["tr","eu","usd","egp","gbp","mad","pln","sar","ron","uah","czk","huf","rub","bgn","iqd","kwd","bhd","omr","qar","aed","ngn","inr","lei","kzt","jod","rsd"]}}},"paths":{"/api/v1/price_list/":{"get":{"summary":"List price lists","description":"Retrieve a list of price lists with optional filtering.","tags":["Price Lists"],"parameters":[{"$ref":"#/components/parameters/name"},{"$ref":"#/components/parameters/code"},{"$ref":"#/components/parameters/code__exact"},{"$ref":"#/components/parameters/is_auto_sync"},{"$ref":"#/components/parameters/created_date"}],"responses":{"200":{"description":"A list of price lists.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PriceList"}}}}}}}}}}
```

## Create a price list

> Create a new price list with the specified data.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PriceList":{"type":"object","properties":{"pk":{"type":"integer","format":"int64","description":"Price List ID"},"name":{"type":"string","maxLength":64,"description":"Name of the price list."},"code":{"type":"string","nullable":true,"maxLength":64,"description":"Unique code for the price list. Can be null or blank."},"currency":{"$ref":"#/components/schemas/CurrencyEnum"},"is_auto_sync":{"type":"boolean","description":"Indicates whether the price list is auto-synchronized with an external integration.","default":false},"created_date":{"type":"string","format":"date-time","description":"Creation Date of the Price List"},"modified_date":{"type":"string","format":"date-time","description":"Last Modification Date of the Price List"}}},"CurrencyEnum":{"type":"string","description":"Currency type for the price list.","enum":["tr","eu","usd","egp","gbp","mad","pln","sar","ron","uah","czk","huf","rub","bgn","iqd","kwd","bhd","omr","qar","aed","ngn","inr","lei","kzt","jod","rsd"]}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"403":{"description":"Forbidden"}}},"paths":{"/api/v1/price_list/":{"post":{"summary":"Create a price list","description":"Create a new price list with the specified data.","tags":["Price Lists"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceList"}}}},"responses":{"201":{"description":"Price list created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceList"}}}},"400":{"$ref":"#/components/responses/400"},"403":{"$ref":"#/components/responses/403"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.akinon.com/omnitron-openapis/price-lists.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
